## org.firebirdsql.jdbc
Class FBDriverPropertyManager

    java.lang.Object
      org.firebirdsql.jdbc.FBDriverPropertyManager

    public class FBDriverPropertyManager

extends Object

Manager of the DPB properties.

Constructor Summary
`FBDriverPropertyManager()`

Method Summary
`static String` `getCanonicalName(String propertyName)`
`static DriverPropertyInfo[]` `getDriverPropertyInfo(Properties props)` Get property information for the specified properties.
`static void` `handleEncodings(HashMap info)` Handle character encoding parameters.
`static HashMap` `normalize(String url, Map props)` Normalize the properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBDriverPropertyManager

    public FBDriverPropertyManager()

Method Detail

### normalize

    public static HashMap normalize(String url,
                                    Map props)
                             throws SQLException

  Normalize the properties. This method resolves the aliases to their original names. Also it restores the short syntax for the DPB parameters.

  Parameters:
    `props` - instance of `Properties` containing original properties.
  Returns:
    instance of `Properties` containing the normalized ones.
  Throws:
    `SQLException` - if original properties reference the same DPB parameter using both alias and original name.

### getCanonicalName

    public static String getCanonicalName(String propertyName)

### handleEncodings

    public static void handleEncodings(HashMap info)
                                throws SQLException

  Handle character encoding parameters. This method ensures that both java encoding an client connection encodings are correctly set. Additionally method handles the character translation stuff.

  Parameters:
    `info` - connection properties
  Throws:
    `SQLException` - if both isc_dpb_local_encoding and charSet are specified.

### getDriverPropertyInfo

    public static DriverPropertyInfo[] getDriverPropertyInfo(Properties props)

  Get property information for the specified properties.

  Parameters:
    `props` - instance of `Properties`.
  Returns:
    array of `DriverPropertyInfo` instances.

Copyright © 2001-2010. All Rights Reserved.